XMLDiff\Memory
XMLDiff\Memory::merge
XMLDiff\Memory
PHP Manual

# XMLDiff\Memory::diff

(PECL xmldiff >= 0.8.0)

XMLDiff\Memory::diff — Diff two XML documents

### Description

public string XMLDiff\Memory::diff ( string `$from` , string `$to` )

Diff two strings containing XML documents and produce the diff information.

### Parameters

`from`

  Source XML document.

`to`

  Target XML document.

### Return Values

String with the XML document containing the diff information or NULL.

XMLDiff\Memory
XMLDiff\Memory::merge
XMLDiff\Memory
PHP Manual